> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonTransactions

> The list of transactions by jetton



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/{address}/transactions
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/{address}/transactions:
    get:
      tags:
        - JettonsService
      summary: getJettonTransactions
      description: The list of transactions by jetton
      operationId: JettonsService_GetJettonTransactions
      parameters:
        - name: address
          in: path
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: |-
            Default value: 20

            Max value: 100
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          description: |-
            Cursor to paginate list

            Should be set by value from response field `next`
          schema:
            type: string
        - name: who
          in: query
          description: >-
            Wallet address


            Example:
            `0:934ceb2baa49d803a531cafc2f799c27a94759f9fa1b5637ddb1feaa758fdf5b`
          schema:
            type: string
        - name: hash
          in: query
          description: |-
            Hash of transaction

            Example: `IO9IDQaNEDvltTsattGa4j16s3vrtABR90MrBVXURc4=`
          schema:
            type: string
        - name: type
          in: query
          description: Type of transaction
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - TT_BUY
                - TT_SELL
                - TT_LIQUIDITY_DEPOSIT
                - TT_LIQUIDITY_WITHDRAW
        - name: counterpart
          in: query
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          schema:
            type: string
        - name: exchangeId
          in: query
          description: ID of the exchange that made the transaction
          schema:
            type: string
            default: dedust
            enum:
              - dedust
              - stonfi
              - tonco
        - name: timeFrom
          in: query
          schema:
            type: string
            format: date-time
        - name: timeTo
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetJettonTransactionsResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetJettonTransactionsResponse:
      type: object
      properties:
        transactions:
          title: List of requested transactions
          type: array
          items:
            $ref: '#/components/schemas/v1JettonTransaction'
        addressBook:
          title: Possible aliases for all raw addresses in response
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1AddressBookItem'
        jettons:
          title: Short metadata about jettons used in response
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1ShortJettonMeta'
        next:
          title: Cursor to next page
          type: string
          description: If the field is empty or not exists there's no next page
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1JettonTransaction:
      type: object
      properties:
        time:
          type: string
          format: date-time
        timeLt:
          title: Logical time of transaction
          type: string
          format: int64
          example: '52226626000004'
        hash:
          title: Unique hash of transaction
          type: string
          example: 7zWgejtXNKUqsrWwwgQdKYN3txlUTye7D5PRcsGbwRw=
        who:
          title: Address of transaction initiator
          type: string
          example: '0:0000000000000000000000000000000000000000000000000000000000000000'
        whoFriendly:
          title: Address of transaction initiator in user friendly format
          type: string
        type:
          $ref: '#/components/schemas/v1TransactionType'
        counterpart:
          title: Address of counterpart jetton (asset)
          type: string
          example: 0:f83f7d94d74b2736821abe8aba7183d3411f367b00233b6d1ea6282b59102ea7
        exchangeId:
          $ref: '#/components/schemas/v1ExchangeId'
        pool:
          title: Address of liquidity pool
          type: string
        amount:
          $ref: '#/components/schemas/v1DecimalValue'
        counterpartAmount:
          $ref: '#/components/schemas/v1DecimalValue'
        price:
          $ref: '#/components/schemas/v1DecimalValue'
    v1AddressBookItem:
      type: object
      properties:
        userFriendly:
          title: Bounced address
          type: string
          description: Bounced user-friendly address
    v1ShortJettonMeta:
      type: object
      properties:
        address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
          format: int64
        image:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    v1TransactionType:
      type: string
      default: TT_BUY
      enum:
        - TT_BUY
        - TT_SELL
        - TT_LIQUIDITY_DEPOSIT
        - TT_LIQUIDITY_WITHDRAW
    v1ExchangeId:
      title: Name of exchange
      type: string
      default: dedust
      enum:
        - dedust
        - stonfi
        - tonco
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'

````